Bug 1312143 - Documentation: 8.0 undercloud + SSL, need to add the cert to the list of CAs trusted on the system
Documentation: 8.0 undercloud + SSL, need to add the cert to the list of CAs ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 16:01 EST by Alexander Chuzhoy
Modified: 2016-06-16 00:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-16 00:41:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Chuzhoy 2016-02-25 16:01:50 EST
Documentation: 8.0 undercloud + SSL, need to add the cert to the list of CAs trusted on the system

In addition to the steps described here for configuring ssl for undercloud:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html-single/Director_Installation_and_Usage/index.html#appe-SSL_Certificate_Configuration


for 8.0 need to add the following steps:

sudo cp cacert.pem /etc/pki/ca-trust/source/anchors/
sudo update-ca-trust extract
Comment 2 Dan Yocum 2016-03-17 16:51:27 EDT
An alternative is to add the root-ca.pem to the undercloud.pem file ALONG WITH the server.key file, thusly:

cat server-cert.pem server-key.pem ca-cert.pem > undercloud.pem
Comment 5 Alexander Chuzhoy 2016-06-09 14:18:19 EDT
Verified.
The doc now lists:
$ sudo cp server-cert.pem /etc/pki/ca-trust/source/anchors/
$ sudo update-ca-trust extract
Comment 6 Dan Macpherson 2016-06-16 00:41:27 EDT
Changes now live on the customer portal.

Note You need to log in before you can comment on or make changes to this bug.